QtiPlotApplication Class Reference

`#include <QtiPlotApplication.h>`

Inheritance diagram for QtiPlotApplication:

## Public Member Functions

void | activateWindow (ApplicationWindow *w)
void | append (ApplicationWindow *w)
| QtiPlotApplication (int &argc, char **argv)
void | remove (ApplicationWindow *w)

## Protected Member Functions

bool | event (QEvent *)

## Private Slots

void | close ()

## Private Attributes

QList< ApplicationWindow * > | d_windows

## Constructor & Destructor Documentation

## QtiPlotApplication()

QtiPlotApplication::QtiPlotApplication | ( | int & | argc,
|  | char ** | argv
| ) |  |

References ApplicationWindow::about(), ApplicationWindow::autoSearchUpdates, ApplicationWindow::autoSearchUpdatesRequest, close(), ApplicationWindow::parseCommandLineArguments(), ApplicationWindow::restoreApplicationGeometry(), ApplicationWindow::searchForUpdates(), ApplicationWindow::showDonationDialog(), and ApplicationWindow::showStandAloneHelp().

## Member Function Documentation

## activateWindow()

void QtiPlotApplication::activateWindow | ( | ApplicationWindow * | w | ) |

References d_windows, ApplicationWindow::initWindow(), ApplicationWindow::restoreApplicationGeometry(), and ApplicationWindow::showDonationDialog().

Referenced by append(), and event().

## append()

void QtiPlotApplication::append | ( | ApplicationWindow * | w | ) |

inline

References activateWindow(), d_windows, and event().

## close

void QtiPlotApplication::close | ( |  | ) |

private slot

References d_windows, and ApplicationWindow::showDemoVersionMessage().

Referenced by QtiPlotApplication().

## event()

bool QtiPlotApplication::event | ( | QEvent * | event | ) |

protected

References activateWindow(), d_windows, ApplicationWindow::open(), and ApplicationWindow::projectname.

Referenced by append().

## remove()

void QtiPlotApplication::remove | ( | ApplicationWindow * | w | ) |

References d_windows.

## Member Data Documentation

## d_windows

QList<ApplicationWindow *> QtiPlotApplication::d_windows

private

Referenced by activateWindow(), append(), close(), event(), and remove().

The documentation for this class was generated from the following files:

- qtiplot/src/core/QtiPlotApplication.h
- qtiplot/src/core/QtiPlotApplication.cpp